## ?zip=Linux%2Fhandhelds%2Fprojects%2Fgpe%2Fsnapshots

=== tasks/Makefile ===
#------------------------
# Makefile for GPE tasks
#------------------------
#
# * Change the content of a task:
#
#   1. edit       DEP_<task-name>
#   2. incremente VER_<task-name>
#
#
# * Add a task:
#
#   1. create a file <task-name>.control, including _VERSION_ and _DEPS_ variables
#   2. create a variable DEP_<task-name>
#   3. create a variable VER_<task-name>
#   4. add the task to ALL_TASKS
#
#   that's it.
#------------------------

ALL_TASKS = \
    gpe2 \
    gpe-apps2 \
    \
    gpe-collateral-gtk2 \
    \
    gpe-task-base \
    gpe-task-pim \
    gpe-task-utils \
    gpe-task-comm \
    gpe-task-mmedia \
    gpe-task-games \
    gpe-task-extra-apps \
    gpe-task-extra-games \

default: $(ALL_TASKS)

TMP_FILE = temporary_file_which_will_be_destroyed_without_warning
% : %.control
	@rm -rf dist
	@mkdir -p dist/CONTROL
	@sed 's:_VERSION_:$(VER_$@):' < $< > $(TMP_FILE)
	@sed 's:_DEPS_:$(DEP_$@):' < $(TMP_FILE) > dist/CONTROL/control
	@rm -rf $(TMP_FILE)
	@ipkg-build -o root -g root dist
	gpg -sb --armor $@_$(VER_$@)_all.ipk

clean:
	rm -rf dist *.ipk *.ipk.asc *~ .*~

#====================================================
#================= TASKS DEFINITION =================

#---Meta tasks
VER_gpe-apps2 = 0.42
DEP_gpe-apps2 = \
    gpe-task-base, \
    gpe-task-comm, \
    gpe-task-mmedia, \
    gpe-task-pim, \
    gpe-task-utils \
#    gpe-task-extra-apps \


#---This is the base to run GPE
VER_gpe-task-base = 0.9
DEP_gpe-task-base = \
    \
    gpe-collateral-gtk2, \
    gdk-pixbuf2-loader-jpeg, \
    \
    gpe-bootsplash2, \
    gpe-dm, \
    gpe-login2, \
    gpe-session-scripts, \
    gpe-setbg2, \
    \
    keylaunch, \
    esd, \
    detect-stylus, \
    gpe-soundserver, \
    gpe-mimedir-tools, \
    teleport, \
    gpe-keylock, \
    \
    matchbox, \
    xmonobut, \
    minilite, \
    minibat, \
    minipredict, \
    matchbox-panel-hacks, \
    mbinputmgr, \
    \
    xstroke, \
    xkbd, \
    mbmerlin, \
    \
    startup-monitor, \
    \
    xtscal, \
    gpe-su2, \
    gpe-conf, \
    gpe-confd, \
    xst, \
    \
    gpe-what, \
    gpe-question2, \
    gpe-announce2, \
    \
    gpe-wlancfg, \
    gpe-aerial, \
    hotplug-dbus, \
    gpe-autostarter
#FIXME: could be refined (contains hardware dependant packages)

VER_gpe-collateral-gtk2 = 0.05
DEP_gpe-collateral-gtk2 = \
    gtk2-theme-angelistic, \
    ttf-bitstream-vera

#------------------------------------------
# The following aim to be USER LEVEL tasks
#------------------------------------------

#------------------------------------------ PIM applications
VER_gpe-task-pim = 0.5
DEP_gpe-task-pim = \
    gpe-task-base, \
    gpe-calendar2, \
    gpe-soundbite2, \
    gpe-contacts2, \
    gpe-sketchbook2, \
    gpe-today, \
    gpe-todo2, \
    \
    gpe-minicalc2, \
    gpe-calculator2, \
    \
    figment, \
    gpe-timesheet2, \
    greader, \
    gpe-watch
#FIXME: 2 calculators!

#------------------------------------------ System utilities
VER_gpe-task-utils = 0.3
DEP_gpe-task-utils = \
    gpe-task-base, \
    gpe-edit2, \
    gpe-terminal, \
    gpe-taskmanager

#------------------------------------------ Communication apps
VER_gpe-task-comm = 0.2
DEP_gpe-task-comm = \
    gpe-task-base, \
    dillo2, \
    gpe-irc
#FIXME: add email/contacts

#------------------------------------------ Multimedia apps
VER_gpe-task-mmedia = 0.2
DEP_gpe-task-mmedia = \
    gpe-task-base, \
    gpe-gallery, \
    gpe-nmf, \
    gpe-mixer

#------------------------------------------ Extra apps
VER_gpe-task-extra-apps = 0.3
DEP_gpe-task-extra-apps = \
    gpe-task-base, \
    gpe-filemanager2

#------------------------------------------ Games
VER_gpe-task-games = 0.2
DEP_gpe-task-games = \
    gpe-tetris2, \
    xdemineur, \
    gpe-lights, \
    gpe-code2, \
    gpe-julia2, \
    gpe-othello2, \
    gsoko2, \
    pdamaze
#FIXME: couple of games to move to extra-games.

#------------------------------------------ Extra games
VER_gpe-task-extra-games = 0.2
DEP_gpe-task-extra-games = \
    repton, \
    sfcave-sdl, \
    snes9x

=== base/blueprobe/Makefile ===
PREFIX = /usr/local
PACKAGE = blueprobe
DEBUG = no
CVSBUILD = yes
VERSION = 0.12

MEMBERS = blueprobe

CPPFLAGS += -D_GNU_SOURCE

ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS = -g #-lefence
else
CFLAGS += -Os -fomit-frame-pointer
endif
CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: $(PACKAGE)
	install -d $(DESTDIR)/etc/sysconfig
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -d $(DESTDIR)/etc/init.d
	install $(PACKAGE).init $(DESTDIR)/etc/init.d/$(PACKAGE)
	install -d $(DESTDIR)/etc/rcS.d
	ln -s ../init.d/$(PACKAGE) $(DESTDIR)/etc/rcS.d/S97blueprobe

clean:
	rm -f $(PACKAGE)
	rm -f $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/bluez-pin/Makefile ===
PREFIX = /usr/local
SYSCONFDIR=$(PREFIX)/etc
PACKAGE = bluez-pin
CVSBUILD = yes
GTK2 = yes
LINGUAS = eo fr id ga wa sv cs
VERSION = 0.21

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

CFLAGS += `pkg-config --cflags gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -DGTK_DISABLE_DEPRECATED -DDBUS_API_SUBJECT_TO_CHANGE
LDFLAGS += `pkg-config --libs gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -lbluetooth
CFLAGS += -Wall

CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

MEMBERS = main pin-dbus pin-ui
GLADE = bluez-pin.glade bluez-pin-gpe.glade

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS)) bluez.conf $(GLADE)

all: $(PACKAGE) bluez.conf

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	install -m 644 bluez.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 bt-logo.png $(DESTDIR)$(PREFIX)/share/pixmaps/bt-logo.png
	mkdir -p $(DESTDIR)$(PREFIX)/share/bluez-pin/
	install -m 644 $(GLADE) $(DESTDIR)$(PREFIX)/share/bluez-pin/

clean:
	rm -f $(PACKAGE) $(OBJS) *.bak *.gladep

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/detect-stylus/Makefile ===
PREFIX = /usr/local
PACKAGE = detect-stylus
#DEBUG = yes
CVSBUILD = yes
VERSION = 0.07

MEMBERS = detect-stylus

CFLAGS = -D_GNU_SOURCE -Wall
ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS = -g #-lefence
else
CFLAGS += -Os -fomit-frame-pointer
endif
CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
LDFLAGS += `pkg-config --libs x11`

OBJS = $(patsubst %,%.o,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

export PKG_CONFIG_PATH = $(BUILD)

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)/etc/X11/Xinit.d
	install 70detect-stylus $(DESTDIR)/etc/X11/Xinit.d

clean:
	rm -f $(PACKAGE) $(OBJS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/gpe-appmgr/Makefile ===
NATIVE = yes
CVSBUILD = yes
DEBUG = no

ifeq ($(CVSBUILD),yes)
LDFLAGS += -L../libgpewidget -L../libxsettings  -L../libxsettings-client -L../libdotdesktop
CFLAGS += -I../libgpewidget -I../libxsettings-client -I../libxsettings -I../libdotdesktop
BUILD = ../build
else
CFLAGS += -I/usr/include/gpe
BUILD = build
endif

ifeq ($(DEBUG),yes)
CFLAGS += -g -DDEBUG
else
CFLAGS += -Os -fomit-frame-pointer
endif

ifeq ($(NATIVE),yes)
STRIP=strip

LDFLAGS += -lgpewidget `pkg-config --libs gtk+-2.0 gdk-pixbuf-2.0` -ldotdesktop #-lXinerama
CFLAGS += `pkg-config --cflags gtk+-2.0 gdk-pixbuf-2.0` -Wall

else #cross-compile!

CC=arm-linux-gcc
STRIP=arm-linux-strip

#LDFLAGS += -lgpewidget `pkg-config --libs gtk+-2.0 gdk-pixbuf-2.0 | sed "s/-L.*lib //"`
LDFLAGS += -lgpewidget -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lXinerama -ldotdesktop
CFLAGS += `pkg-config --cflags gtk+-2.0 gdk-pixbuf-2.0` -Wall

endif #native or cross-compile

LDFLAGS += -lXsettings -lXsettings-client


INSTALL=install

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
ETCDIR=etc

CFLAGS += -D_GNU_SOURCE

OBJS=main.o xsi.o popupmenu.o package.o properties.o gnome-exec.o plugin.o tray.o xsettings.o

all: gpe-appmgr

gpe-appmgr: $(OBJS)
	$(CC) -o gpe-appmgr $(OBJS) $(LDFLAGS)

install-program: all
	$(INSTALL) -D gpe-appmgr $(DESTDIR)/$(BINDIR)/gpe-appmgr
	$(STRIP) $(DESTDIR)/$(BINDIR)/gpe-appmgr
	mkdir -p $(DESTDIR)/$(PREFIX)/share/pixmaps
	$(INSTALL) -D dist/usr/share/pixmaps/*.png  $(DESTDIR)/$(PREFIX)/share/pixmaps
	$(INSTALL) -D dist/etc/menu-methods/gpe_appmgr $(DESTDIR)/$(ETCDIR)/menu-methods/gpe_appmgr
	$(INSTALL) -D appmgr.session $(DESTDIR)/etc/X11/Xsession.d/90GpeAppMgr

clean:
	rm -f *.o gpe-appmgr

distclean: clean
	rm -f *.ipk
	rm -rf familiar/dist

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/gpe-autostarter/Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-autostarter
DEBUG = no
CVSBUILD = yes
VERSION = 0.4

MEMBERS = autostarter net bluetooth

CFLAGS = `pkg-config --cflags glib-2.0` `pkg-config --cflags dbus-glib-1` -DDBUS_API_SUBJECT_TO_CHANGE

CFLAGS += -D_GNU_SOURCE -Wall

export PKG_CONFIG_PATH = $(BUILD)

ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS = -g #-lefence
else
CFLAGS += -Os -fomit-frame-pointer
endif

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif
LDFLAGS += `pkg-config --libs glib-2.0` `pkg-config --libs dbus-glib-1` `pkg-config --libs x11`

CFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

all: $(PACKAGE) all-mo

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)/etc/X11/Xsession.d
	install $(PACKAGE).xsession $(DESTDIR)/etc/X11/Xsession.d/50$(PACKAGE)

clean:
	rm -f $(PACKAGE) $(OBJS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/gpe-bootsplash/Makefile ===
PACKAGE = gpe-bootsplash
VERSION = 1.5

CFLAGS = `pkg-config --cflags gdk-pixbuf-2.0` `pkg-config --libs gdk-pixbuf-2.0` -DGTK2
SPLASH = splash2.png

all: gpe-bootsplash

gpe-bootsplash: splash.c
	$(CC) $(CFLAGS) -fomit-frame-pointer -Os splash.c -o gpe-bootsplash

install-program: gpe-bootsplash
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/gpe
	mkdir -p $(DESTDIR)/etc/rcS.d
	mkdir -p $(DESTDIR)/etc/init.d
	cp gpe-bootsplash.init $(DESTDIR)/etc/init.d/gpe-bootsplash
	install -m 644 $(SPLASH) $(DESTDIR)/usr/share/gpe/splash.png
	install -s gpe-bootsplash $(DESTDIR)/usr/bin/
	ln -sf ../init.d/gpe-bootsplash $(DESTDIR)/etc/rcS.d/S00bootsplash

clean:
	rm -f gpe-bootsplash splash.o

include ../build/Makefile.dpkg_ipkg

=== base/gpe-calendar/Makefile ===
PACKAGE = gpe-calendar
PREFIX = /usr/local
DEBUG = no
CVSBUILD = yes
VERSION = 0.48

LINGUAS = id pt de fr zh_TW ro wa sv nl cs

CPPFLAGS += $(STANDARD_CPPFLAGS)
CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS)
LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS)

MEMBERS = main day_view week_view future_view event-ui month_view day_popup xsettings gtkdatesel

CPPFLAGS += -I../libeventdb -I../libschedule -I../libxsettings -I../libxsettings-client -I../libdisplaymigration
LDFLAGS += -L../libxsettings -L../libxsettings-client -Wl,-rpath-link,../libxsettings -L../libdisplaymigration -L../libeventdb -L../libschedule 

LDFLAGS += -lXsettings-client -ldisplaymigration -leventdb -lschedule

.SUFFIXES: .d

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all $(PACKAGE).desktop
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/$(PACKAGE).png
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/
	install -D $(PACKAGE).session $(DESTDIR)/etc/X11/Xsession.d/99$(PACKAGE)

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS) $(PACKAGE).desktop

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/gpe-clock/Makefile ===
PACKAGE = gpe-clock
PREFIX = /usr/local
DEBUG = no
GTK2 = yes
CVSBUILD = yes
VERSION = 0.8

LINGUAS = nl pt cs fr

MEMBERS = clock 

CPPFLAGS = -D_GNU_SOURCE -I../libschedule $(GPECFLAGS)

ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS = -g
else
CFLAGS += -Os -fomit-frame-pointer
endif

CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
CFLAGS += -MD -Wall

.SUFFIXES: .d

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(GPELIBS) -L../libschedule -lschedule $(LDFLAGS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/gpe-contacts/Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-contacts
GTK2 = yes
pkgdatadir = $(PREFIX)/share/$(PACKAGE)
CVSBUILD = yes
STRIP = strip
VERSION = 0.15
LINGUAS = de sv cs

GTKCFLAGS = `pkg-config --cflags gtk+-2.0`
GTKLDFLAGS += `pkg-config --libs gtk+-2.0`

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

ifeq ($(DEBUG),yes)
LDFLAGS += -g
CFLAGS += -O2 -g
else
CFLAGS += -Os -fomit-frame-pointer
endif

CPPFLAGS += -D_GNU_SOURCE -DENABLE_NLS

CPPFLAGS += -I../libdisplaymigration
LDFLAGS += -L../libdisplaymigration -ldisplaymigration

LDFLAGS += -lsqlite

CFLAGS = $(GTKCFLAGS) -I../libgpewidget -Wall `pkg-config --cflags libxml-2.0`
CFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
CFLAGS += -MD

MEMBERS = callbacks db editing interface main structure support

DEPS = $(patsubst %,%.d,$(MEMBERS))
OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

all: gpe-contacts all-mo

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ -L../libgpewidget -lgpewidget $(GTKLDFLAGS) `pkg-config --libs libxml-2.0` $(LDFLAGS)  

clean:
	rm -f gpe-contacts $(OBJS) $(DEPS)

install-program: all $(PACKAGE).desktop
	install -d $(DESTDIR)$(PREFIX)/bin
	install  gpe-contacts $(DESTDIR)$(PREFIX)/bin/gpe-contacts
	$(STRIP) $(DESTDIR)$(PREFIX)/bin/gpe-contacts
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 gpe-contacts.desktop $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 icons/gpe-contacts.png $(DESTDIR)$(PREFIX)/share/pixmaps/gpe-contacts.png
	install -d $(DESTDIR)$(pkgdatadir)
	install -m 644 contacts-layout.xml $(DESTDIR)$(pkgdatadir)/default-layout.xml
	install -m 644 well-known-tags $(DESTDIR)$(pkgdatadir)/well-known-tags
	install -d  $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 icons/frame.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -m 644 icons/entry.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -m 644 icons/notebook.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -m 644 icons/export.png $(DESTDIR)$(PREFIX)/share/pixmaps/

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation
-include $(DEPS)

=== base/gpe-edit/Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-edit
DEBUG = no
CVSBUILD = yes
VERSION = 0.20

MEMBERS = main
LINGUAS = id pt de zh_TW fr ro wa sv nl sk cs

CPPFLAGS += $(STANDARD_CPPFLAGS)
CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS)
LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS)

ifeq ($(CVSBUILD),yes)
CFLAGS += -I../libdisplaymigration
LDFLAGS += -L../libdisplaymigration
endif
LDFLAGS += -ldisplaymigration

DEPS = $(patsubst %,%.d,$(MEMBERS))
OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: gpe-edit all-mo

gpe-edit: $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all gpe-edit.desktop
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s gpe-edit $(DESTDIR)$(PREFIX)/bin/gpe-edit
	install -D -m 644 gpe-edit.png $(DESTDIR)$(PREFIX)/share/pixmaps/gpe-edit.png
	install -D -m 644 gpe-edit.mime $(DESTDIR)/etc/mime-handlers/gpe-edit.mime
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/

clean: clean-po
	rm -f gpe-edit $(OBJS) $(PACKAGE).desktop

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/gpe-icons/Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-icons
PIXMAPS = close.png copy.png cut.png exit.png new.png open.png paste.png save.png save_as.png home.png future_view.png day_view.png week_view.png month_view.png year_view.png cancel.png empty.png properties.png search.png search_and_replace.png delete.png ok.png error.png lock.png lock16.png clock.png stop_clock.png dir-open.png dir-closed.png dir-up.png media-play.png media-pause.png media-stop.png media-fwd.png media-rew.png media-next.png media-prev.png media-eject.png what.png clean.png hide.png help.png question.png about.png left.png right.png highscores.png stop.png preferences.png up.png refresh.png tux-48.png bell.png bell_recur.png recur.png edit.png warning16.png tick.png bt-logo.png loading.png list-view.png icon-view.png clock-popup.png send_and_recieve.png
MONOCHROME = no

# these are icons that are in CVS for completeness but are not actually used anywhere yet:
# warning48.png

ifeq ($(MONOCHROME),yes)
PIXMAPS_DIR = default-monochrome
else
PIXMAPS_DIR = default
endif

all:

PIXMAPS_DIR = default

install:
	for i in $(PIXMAPS); do install -m 644 -D $(PIXMAPS_DIR)/$$i $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$$i; done
	install -D -m 644 gpe-logo.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/gpe-logo.png

clean:

upstream: clean
	( VERSION=`dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1`; cd ..; cp -a $(PACKAGE) $(PACKAGE)-$$VERSION.orig; tar czf $(PACKAGE)_$$VERSION.orig.tar.gz --exclude=$(PACKAGE)-$$VERSION.orig/debian --exclude=$(PACKAGE)-$$VERSION.orig/CVS --exclude=$(PACKAGE)-$$VERSION.orig/familiar --exclude=$(PACKAGE)-$$VERSION.orig/default/CVS $(PACKAGE)-$$VERSION.orig ; rm -rf $(PACKAGE)-$$VERSION.orig )

dpkg: upstream
	( VERSION=`dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1`; TMP=/var/tmp/debian/$(PACKAGE); PV=$(PACKAGE)-$$VERSION; rm -rf $$TMP; mkdir -p $$TMP; cp ../$(PACKAGE)_$$VERSION.orig.tar.gz $$TMP; (cd $$TMP; tar xzf $(PACKAGE)_$$VERSION.orig.tar.gz ; mv $$PV.orig $$PV ); mkdir -p $$TMP/$$PV/debian; cp debian/* $$TMP/$$PV/debian; cd $$TMP/$$PV; fakeroot dpkg-buildpackage  ; cd ..; rm -rf $$PV)

ipkg:
	rm -rf familiar/dist
	mkdir -p familiar/dist/CONTROL
	cp familiar/control familiar/dist/CONTROL/control
	make DESTDIR=`pwd`/familiar/dist PREFIX=/usr install
	chown -R root.root familiar/dist
	ipkg-build familiar/dist

=== base/bluez-pin/debian/changelog ===
bluez-pin (0.21-1) unstable; urgency=low

  * New upstream release.
  * Correctly query for $DISPLAY, thanks to Sjoerd Simons.  
    (Closes: #217625, #205023)

 -- Philip Blundell <pb@handhelds.org>  Sun, 26 Oct 2003 11:32:34 +0000

bluez-pin (0.20-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@handhelds.org>  Sun, 22 Jun 2003 21:01:58 +0100

=== base/bluez-pin/debian/control ===
Source: bluez-pin
Section: net
Priority: optional
Maintainer: Philip Blundell <pb@handhelds.org>
Build-Depends: debhelper (>> 3.0.0), dbus-glib-1-dev, libgtk2.0-dev, libbluetooth1-dev, libglade2-dev, libgconf2-dev
Standards-Version: 3.5.2

Package: bluez-pin
Architecture: any
Depends: ${shlibs:Depends}
Description: Bluetooth PIN helper with D-BUS support
 Bluez-pin provides a user interface for entering the PIN codes needed
 when pairing one Bluetooth device with another.
